- Qt 5.5
- Qt3D Module
- C++ Classes
- AspectTaskRunnable
- Qt 5.5.1 Reference Documentation

# AspectTaskRunnable Class

(Qt3D::AspectTaskRunnable)

Inherits: | RunnableInterface

- List of all members, including inherited members

## Public Functions

| AspectTaskRunnable()
| ~AspectTaskRunnable()

## Reimplemented Public Functions

virtual DependencyHandler * | dependencyHandler()
virtual int | id()
virtual bool | reserved()
virtual void | run()
virtual void | setDependencyHandler(DependencyHandler * handler)
virtual void | setId(int id)
virtual void | setPooler(QThreadPooler * pooler)
virtual void | setReserved(bool reserved)

- 8 public functions inherited from Qt3D::RunnableInterface

## Member Function Documentation

### AspectTaskRunnable::AspectTaskRunnable()

### AspectTaskRunnable::~AspectTaskRunnable()

### `[virtual]` DependencyHandler * AspectTaskRunnable::dependencyHandler()

See also setDependencyHandler().

### `[virtual]` int AspectTaskRunnable::id()

See also setId().

### `[virtual]` bool AspectTaskRunnable::reserved()

See also setReserved().

### `[virtual]` void AspectTaskRunnable::run()

### `[virtual]` void AspectTaskRunnable::setDependencyHandler(DependencyHandler * handler)

See also dependencyHandler().

### `[virtual]` void AspectTaskRunnable::setId(int id)

See also id().

### `[virtual]` void AspectTaskRunnable::setPooler(QThreadPooler * pooler)

### `[virtual]` void AspectTaskRunnable::setReserved(bool reserved)

See also reserved().